Home

# Class goog.positioning.ViewportPosition

Encapsulates a popup position where the popup is positioned according to coordinates relative to the element's viewport (page). This calculates the correct position to use even if the element is relatively positioned to some other element.

extends goog.positioning.AbstractPosition

Instance Method Summary
| `reposition(?Element element, ?goog.positioning.Corner popupCorner, ?goog.math.Box= opt_margin, ?goog.math.Size= opt_preferredSize)` Repositions the popup according to the current state